Los routers Linksys están afectados por un problema de seguridad

Publicado en 'Actualidad Tecnológica' por hagal, 18 Feb 2014.





  1. hagal

    hagal Miembro de oro

    Registro:
    5 Jun 2012
    Mensajes:
    5,528
    Likes:
    1,832




    [​IMG]

    .
    Belkin se estrena en las vulnerabilidades de dispositivos Linksys. Investigadores han detectado que determinados modelos de routers Linksys se encuentran afectados por un problema de seguridad que permite la ejecución remota de código, el control del dispositivo y la posterior utilización de este para replicarse a otros dispositivos, bien sean routers o dispositivos conectados al router.

    Concrétamente, los modelos que están afectados por este problema de seguridad son los modelos Linksys E1000, E1200, y E2400. Sin embargo, a pesar de que no es algo que esté confirmado al 100%, todo parece indicar que es algo que se encuentra vinculado a determinadas versiones del firmware de estos dispositivos, pero aún no se sabe qué versiones están afectadas y cuáles están libres del problema.
    ¿Cómo afecta el malware a los routers Linksys?

    Parece ser que el malware utiliza el protocolo HNAP para tratar de extraer información relacionada con el dispositivo y su firmware. Si esta información es satisfactoria, se realiza el envío de un exploit cuya misión es tratar de ganar acceso al router y así conseguir privilegios de configuración sobre el dispositivo.
    Después de haberse hecho con el control del router, el malware busca dispositivos por las interfaces de red LAN y WLAN para poder infectarlos, preferiblemente ordenadores. Además, también utiliza el router para extenderse a otros routers.
    Las últimas informaciones ofrecidas hablan de más de 1.000 equipos Linksys que ya han sido infectados.
    ¿Cómo puedo saber si mi equipo es vulnerable?

    Tal y como hemos mencionado con anterioridad, el malware utiliza el protocolo HNAP del dispositivo para ganar acceso de administrador en el router.
    Nosotros podemos saber si nuestro equipo Linksys está afectado gracias al siguiente comando:
    echo [-e] “GET /HNAP1/ HTTP/1.1\r\nHost: test\r\n\r\n” | nc routerip 8080
    Si la ejecución de ese comando nos da una respuesta entonces nuestro equipo puede ser objetivo de este malware.
    ¿Qué debo hacer para evitarlo?

    A la espera de que Belkin pueda sacar un firmware que resuelva este problema de seguridad, lo mejor es deshabilitar el control remoto del dispositivo y limitar el número de IPs desde donde se puede realizar la administración del router. De esta forma no se soluciona el problema pero sí evitamos que esta vulnerabilidad pueda ser utilizada.
    Fuente | The Hacker News


    info : http://www.redeszone.net/2014/02/17...estan-afectados-por-un-problema-de-seguridad/

    http://community.linksys.com/t5/Wireless-Routers/Malware-Attack-on-Linksys-Routers/m-p/771187